var running = localStorage.getItem('running') === 'true';
var alarms = JSON.parse(localStorage.getItem('alarms') || '[]');

alarms.forEach(renderAlarm);

document.querySelector('#toggle').onclick = function() {
  running = !running;
  localStorage.setItem('running', running);

  if (running) {
    scheduleNextEvent();
  }
};

function scheduleNextEvent() {
  var request = navigator.mozAlarms.add(new Date(Date.now() + 30000), 'honorTimezone', {
    type: 'yolo'
  });

  request.onerror = function() {
    console.error('Scheduling next alarm failed');
  };
}

function renderAlarm(alarm) {
  var li = document.createElement('li');
  li.textContent = alarm;
  document.querySelector('ul').appendChild(li);
}

navigator.mozSetMessageHandler('alarm', function() {
  var now = new Date().toISOString();
  alarms.push(now);
  renderAlarm(now);

  localStorage.setItem('alarms', JSON.stringify(alarms));

  if (running) {
    scheduleNextEvent();
  }
});
